<?xml version = "1.0" encoding = "UTF-8"?>
<!--Generated by Turbo XML 2.3.1.100. Conforms to w3c http://www.w3.org/2001/XMLSchema-->
<xsd:schema xmlns:xsd = "http://www.w3.org/2001/XMLSchema"
	 elementFormDefault = "qualified">
	<xsd:element name = "access">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref = "role" minOccurs = "0" maxOccurs = "unbounded"/>
			</xsd:sequence>
			<xsd:attribute name = "path" use = "required" type = "xsd:string"/>
		</xsd:complexType>
	</xsd:element>
	<xsd:element name = "role">
		<xsd:complexType>
			<xsd:simpleContent>
				<xsd:extension base = "roleName">
					<xsd:attribute name = "permissions" use = "required" type = "xsd:nonNegativeInteger"/>
				</xsd:extension>
			</xsd:simpleContent>
		</xsd:complexType>
	</xsd:element>
	<xsd:simpleType name = "roleName">
		<xsd:restriction base = "xsd:string">
			<xsd:maxLength value = "16"/>
			<xsd:minLength value = "4"/>
			<xsd:whiteSpace value = "collapse"/>
		</xsd:restriction>
	</xsd:simpleType>
</xsd:schema>